- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ibm_sa_host_ports – Add host ports on IBM Spectrum Accelerate Family storage systems

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module adds ports to or removes them from the hosts on IBM Spectrum Accelerate Family storage systems.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- pyxcli

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
endpoints string / required |  | The hostname or management IP of Spectrum Accelerate storage system.
fcaddress - |  | Fiber channel address.
host - / required |  | Host name.
iscsi_name - |  | iSCSI initiator name.
num_of_visible_targets - |  | Number of visible targets.
password string / required |  | Password for username on the spectrum accelerate storage system.
state - / required | Choices: present ← absent | Host ports state.
username string / required |  | Management user on the spectrum accelerate storage system.

## Notes

Note

- This module requires pyxcli python library. Use ‘pip install pyxcli’ in order to get pyxcli.

## Examples

    - name: Add ports for host.
      ibm_sa_host_ports:
        host: test_host
        iscsi_name: iqn.1994-05.com***
        username: admin
        password: secret
        endpoints: hostdev-system
        state: present

    - name: Remove ports for host.
      ibm_sa_host_ports:
        host: test_host
        iscsi_name: iqn.1994-05.com***
        username: admin
        password: secret
        endpoints: hostdev-system
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tzur Eliyahu (@tzure)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.